summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-10-12 16:10:58 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-10-12 16:18:26 +0200
commita6d3a93f1f50f5797b4d119f529dffcaf0d3a1e4 (patch)
tree4d3ec8ddaa83500e5b7b78a9fdbb5d4fd20540d5 /kde-apps/libksane
parentkde-frameworks/kdelibs: 4.14.37 version bump (diff)
downloadgentoo-a6d3a93f1f50f5797b4d119f529dffcaf0d3a1e4.tar.gz
gentoo-a6d3a93f1f50f5797b4d119f529dffcaf0d3a1e4.tar.bz2
gentoo-a6d3a93f1f50f5797b4d119f529dffcaf0d3a1e4.zip
kde-apps: Add KDE Applications 17.08.2
Package-Manager: Portage-2.3.11, Repoman-2.3.3
Diffstat (limited to 'kde-apps/libksane')
-rw-r--r--kde-apps/libksane/Manifest1
-rw-r--r--kde-apps/libksane/libksane-17.08.2.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/kde-apps/libksane/Manifest b/kde-apps/libksane/Manifest
index 8dbac91b33f..941ab79a624 100644
--- a/kde-apps/libksane/Manifest
+++ b/kde-apps/libksane/Manifest
@@ -1,2 +1,3 @@
DIST libksane-17.04.3.tar.xz 137512 SHA256 807c4f0733e97e4f7990cfd2b2984f9863b4948fc5e2bea113510a75e26a7873 SHA512 c502d00fc85bc2e9abb7c5d82c6354736a2e7cf5552282e681166bdb902e057d94285509c071127f7e37eacbc44a60cfe52a9b8e6cd5fe1b4704cc581f30b2bc WHIRLPOOL f304a21ae8ae5183b3add052ee902ea0af77261d15579018560c32ea40efd1befa07c91a8765b60687081b1ea47fa6c1303aaf28b507c744284e13227b566805
DIST libksane-17.08.1.tar.xz 137324 SHA256 a0cd2a9588fd5377ef8f94b44c6162a86da1af5fc1be096474f4706fd0975a4c SHA512 0e90c5563024b6a5198d28be18c896142307576a3b51691b885ca095c590a030f83c7faa5e8099753ba0a768729e42367feb7d205f93cd270ca4a8162d5c1317 WHIRLPOOL 7fd70a36b1b832add85c1f404a9186c45bdab00aefebed4ef4a69753b3511ddbf98ad47a91ade94a3f996cc7d197326981e379accd64fd0850a0b3325cb03b82
+DIST libksane-17.08.2.tar.xz 137376 SHA256 549c257988abc3c0e845988751cf52fe574491118f44cf26d9b6291e84d29e46 SHA512 967dad24a51409695e24603397fc72daf306393afcd09e0f383c862c9d0200f3d22a26fbfa5abc72e8277ded208220ee69ae58c42f32c6d7a001cb90ca0e57ab WHIRLPOOL 63b4185364ae8f973c7f3e587427ce8555aa1f17c0626145439ec2ec0986b062a8821f9f7b6465f1554a8bff2a1dff500e8826f8dfbe47d7ec2cbbdf79e82eb7
diff --git a/kde-apps/libksane/libksane-17.08.2.ebuild b/kde-apps/libksane/libksane-17.08.2.ebuild
new file mode 100644
index 00000000000..502a7b61839
--- /dev/null
+++ b/kde-apps/libksane/libksane-17.08.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_BLOCK_SLOT4="false"
+inherit kde5
+
+DESCRIPTION="SANE Library interface based on KDE Frameworks"
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwallet)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ media-gfx/sane-backends
+"
+RDEPEND="${DEPEND}
+ !<kde-apps/libksane-15.08.3-r1:4
+ !kde-base/legacy-icons
+"